PasskeyLoginBegin
POST
/auth/v1/passkey/login/beginRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.PasskeyLoginBeginRequest",
"$ref-value": {
"type": "object",
"title": "PasskeyLoginBeginRequest",
"additionalProperties": false,
"description": "options and credential carry the WebAuthn ceremony payloads verbatim as JSON\n (the browser credential API consumes them as-is), so they are opaque bytes."
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.PasskeyBeginResponse",
"$ref-value": {
"type": "object",
"properties": {
"session_id": {
"type": "string",
"title": "session_id"
},
"options": {
"type": "string",
"title": "options",
"format": "byte"
}
},
"title": "PasskeyBeginResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/passkey/login/begin" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/auth.v1.PasskeyBeginResponse",
"$ref-value": {
"type": "object",
"properties": {
"session_id": {
"type": "string",
"title": "session_id"
},
"options": {
"type": "string",
"title": "options",
"format": "byte"
}
},
"title": "PasskeyBeginResponse",
"additionalProperties": false
}
}